## org.apache.fop.datatypes
Class PathData

    java.lang.Object
      |
      +--org.apache.fop.datatypes.PathData

public class PathData
extends java.lang.Object

a PathData quantity in XSL This class parses the string of path data and create a list of object commands. It is up to renderers (or whatever) to interpret the command properly. eg. m at the start is an absolute moveto.

Author:
  Keiron Liddle <keiron@aftexsw.com>

Constructor Summary
`PathData(java.lang.String len)` set the PathData given a particular String specifying PathData and units

Method Summary
`protected void` `addSVGPathSeg(org.w3c.dom.svg.SVGPathSeg pc)`
`protected void` `convert(java.lang.String len)`
`java.util.Vector` `getPath()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PathData

    public PathData(java.lang.String len)

  set the PathData given a particular String specifying PathData and units

Method Detail

### convert

    protected void convert(java.lang.String len)

### getPath

    public java.util.Vector getPath()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### addSVGPathSeg

    protected void addSVGPathSeg(org.w3c.dom.svg.SVGPathSeg pc)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.